import { OnesTable } from '../../../../@ones-table/common';
import { GC } from '../../../../@ones-table/core';
import { CommandItem } from '../types';
import './condition-editor.scss';
export default class ConditionEditor {
    private table;
    private _root;
    private _conditionType;
    private _conditionOperator;
    private _value1;
    private _value2;
    private _rule;
    constructor(table: OnesTable, parent: HTMLElement);
    root(): HTMLElement;
    destroy(): void;
    handleConditionTypeChange: (item: CommandItem) => void;
    handleConditionChange: (item: CommandItem) => void;
    setRule(rule: GC.Spread.Sheets.ConditionalFormatting.ConditionRuleBase | null): void;
    getRule(): GC.Spread.Sheets.ConditionalFormatting.ConditionRuleBase | null;
}
